Subject: Re: bug#50951: 28.0.50; Urdu text is not displayed correctly

From: Visuwesh <[email-masked]>
Date: Sun, 11 Sep 2022 16:41:54 +0530

[ஞாயிறு செப்டம்பர் 11, 2022] Visuwesh wrote:

>> Not sure about Rah Guzar, but it squashes bug#54646 for me.  Thank you
>> so very much, Yamamoto Mitsuharu!
>
> Unfortunately, this turned out to be a false alarm.  Before I could
> easily reproduce the issue at will but now it is not so easy—the fact
> that it took me so long to notice that the bug is still present speaks
> so.  I was using patch no. 1 for the past days, I will try patch no. 2
> and see if it improves the situation.

Patch no. 2 also exhibits the bug.  I tried Rah Guzar's original test
case given in [1] and [2] with the first and the second patch, and
without any patches and I saw no mistakes in glyph placements.  But of
course, I cannot read Urdu so take this with a pound of salt...

1. https://debbugs.gnu.org/cgi/bugreport.cgi?bug=50951#11
2. https://debbugs.gnu.org/cgi/bugreport.cgi?bug=50951#26